Bug 801026 - SOA-P 5.3.0.DR1 Empty HornetQ users/roles make queues unusable for server components
SOA-P 5.3.0.DR1 Empty HornetQ users/roles make queues unusable for server com...
Status: VERIFIED
Product: JBoss Enterprise SOA Platform 5
Classification: JBoss
Component: Build Process (Show other bugs)
5.3.0 GA
Unspecified Unspecified
urgent Severity urgent
: ER3
: 5.3.0 GA
Assigned To: Default User
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-03-07 09:37 EST by Martin Vecera
Modified: 2015-03-12 07:24 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Components which use messaging, including jBPM and the JBoss ESB, have startup issues when the user is employing HornetQ. These components do not work out-of-box when the server uses HornetQ as a messaging provider. This is caused by a missing guest user property in hornetq-users.properties and guest role in hornetq-roles.properties in each server configuration. To work around this, uncomment the default user or ensure all the components use secured access to the queues/topics.
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Martin Vecera 2012-03-07 09:37:05 EST
Components dependent on messaging (e.g. jBPM, ESB...) do not work out-of-box when the server is switched to use HornetQ as a messaging provider.

This is caused by missing guest user in hornetq-users.properties and guest role in hornetq-roles.properties in each server configuration.

The defaul user should be uncommented, or all the components must use secured access to the queues/topics. In this case, another default user will need to be configured.
Comment 1 Nick Cross 2012-05-29 11:37:26 EDT
Trying ER3 and a jBPM quickstart I did not manage to reproduce this.
Comment 2 Martin Vecera 2012-06-05 04:18:12 EDT
Verified in ER3.
Comment 3 Suz 2012-06-24 19:19:32 EDT
    Technical note added. If any revisions are required, please edit the "Technical Notes" field
    accordingly. All revisions will be proofread by the Engineering Content Services team.
    
    New Contents:
Components which use messaging, including jBPM and the JBoss ESB, have startup issues when the user is employing HornetQ. These components do not work out-of-box when the server uses HornetQ as a messaging provider. This is caused by a missing guest user property in hornetq-users.properties and guest role in hornetq-roles.properties in each server configuration. To work around this, uncomment the default user or ensure all the components use secured access to the queues/topics.

Note You need to log in before you can comment on or make changes to this bug.